Submit a signed collector envelope
For the complete documentation index, see https://devlookout.com/llms.txt. Accepts an Ed25519-signed, registered collector envelope. Exact retries of the most recently accepted envelope are idempotent.
POST
/
api
/
v1
/
collector
/
submissions
Submit a signed collector envelope
curl --request POST \
--url https://lookout.example.com/api/v1/collector/submissions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"algorithm": "Ed25519",
"payload": {
"schemaVersion": 1,
"collectorId": "<string>",
"sequence": 2,
"collectedAt": "2023-11-07T05:31:56Z",
"facts": [
{}
],
"events": [
{
"schemaVersion": 1,
"id": "<string>",
"class": "<string>",
"activity": "<string>",
"time": "2023-11-07T05:31:56Z",
"ingestedAt": "2023-11-07T05:31:56Z",
"source": {
"adapter": "<string>",
"instance": "<string>",
"recordId": "<string>"
},
"entityKeys": [
"<string>"
],
"attributes": {},
"severity": 5,
"actor": {},
"sourceEndpoint": {},
"destinationEndpoint": {},
"service": {},
"correlation": {},
"rawReference": "<string>"
}
]
},
"signature": "aSDinaTvuI8gbWludGxpZnk="
}
'import requests
url = "https://lookout.example.com/api/v1/collector/submissions"
payload = {
"algorithm": "Ed25519",
"payload": {
"schemaVersion": 1,
"collectorId": "<string>",
"sequence": 2,
"collectedAt": "2023-11-07T05:31:56Z",
"facts": [{}],
"events": [
{
"schemaVersion": 1,
"id": "<string>",
"class": "<string>",
"activity": "<string>",
"time": "2023-11-07T05:31:56Z",
"ingestedAt": "2023-11-07T05:31:56Z",
"source": {
"adapter": "<string>",
"instance": "<string>",
"recordId": "<string>"
},
"entityKeys": ["<string>"],
"attributes": {},
"severity": 5,
"actor": {},
"sourceEndpoint": {},
"destinationEndpoint": {},
"service": {},
"correlation": {},
"rawReference": "<string>"
}
]
},
"signature": "aSDinaTvuI8gbWludGxpZnk="
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
algorithm: 'Ed25519',
payload: {
schemaVersion: 1,
collectorId: '<string>',
sequence: 2,
collectedAt: '2023-11-07T05:31:56Z',
facts: [{}],
events: [
{
schemaVersion: 1,
id: '<string>',
class: '<string>',
activity: '<string>',
time: '2023-11-07T05:31:56Z',
ingestedAt: '2023-11-07T05:31:56Z',
source: {adapter: '<string>', instance: '<string>', recordId: '<string>'},
entityKeys: ['<string>'],
attributes: {},
severity: 5,
actor: {},
sourceEndpoint: {},
destinationEndpoint: {},
service: {},
correlation: {},
rawReference: '<string>'
}
]
},
signature: 'aSDinaTvuI8gbWludGxpZnk='
})
};
fetch('https://lookout.example.com/api/v1/collector/submissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"collectorId": "<string>",
"sequence": 123,
"graph": {
"entities": 123,
"relationships": 123
},
"acceptedEvents": 123
}{
"error": "<string>",
"issues": [
"<string>"
]
}{
"error": "<string>",
"issues": [
"<string>"
]
}{
"error": "<string>",
"issues": [
"<string>"
]
}{
"error": "<string>",
"issues": [
"<string>"
]
}Authorizations
A 256-bit token generated by the Lookout CLI.
Body
application/json
⌘I
Submit a signed collector envelope
